%global pkgname CPAN-FindDependencies

Name:           perl-CPAN-FindDependencies
Version:        2.42
Release:        2%{?dist}
Summary:        Find dependencies for modules on CPAN
License:        GPLv2+ or Artistic
URL:            http://search.cpan.org/dist/CPAN-FindDependencies/
Source0:        http://www.cpan.org/authors/id/D/DC/DCANTRELL/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Devel::CheckOS)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Parse::CPAN::Packages)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(URI::file)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(YAML::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides tools to find a module's dependencies (and their
dependencies, and so on) without having to download the modules in
their entirety.

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ARTISTIC.txt CHANGELOG GPL2.txt README TODO
%{_bindir}/cpandeps
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Wed Jul 03 2013 Christopher Meng <rpm@cicku.me> - 2.42-2
- Fix the license.

* Thu May 30 2013 Christopher Meng <rpm@cicku.me> - 2.42-1
- Initial Package.
